Bug 511102 - EOL version of Fedora is selected when filing new bugs
EOL version of Fedora is selected when filing new bugs
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.2
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 12:43 EDT by Christoph Wickert
Modified: 2013-06-23 22:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 13:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-07-13 12:43:01 EDT
Description of problem:
9 is selected by default of Fedora when you file a new bug report, but Fedora 9 is EOL. Please change the default to the current release.

Version-Release number of selected component (if applicable):
3.2.3+
Comment 1 David Lawrence 2009-07-27 13:21:18 EDT
Bugzilla auto-selects the version in the enter bug page in this order:

1. If you are cloning from another bug then it selects the cloned bug's version.
2. If you pass in a value for version in the URL line such as /enter_bug.cgi?version=9, then it uses that version.
3. If you already have a cookie set called VERSION-<product> such as VERSION- Fedora it will use the value set for that cookie for the version. This is normally set after you submit a bug for that product as a time saver for next time.
4. If none of the above are available it wil default to selecting the last version in the list, in this case for Fedora it would be 'rawhide'.

I would make sure that you delete any VERSION-Fedora cookies that are set for bugzilla.redhat.com and that should stop making 9 be selected by default.

Dave
Comment 2 Christoph Wickert 2009-07-27 13:44:08 EDT
Indeed, removing the cookies fixed the problem. But shouldn't bugzilla be smart enough to alter the existing cookies? I don't recall when I last submitted a bug for F9, but I have submitted tons of F11 anb rawhide bugs.
Comment 3 David Lawrence 2009-07-27 14:34:22 EDT
(In reply to comment #2)
> Indeed, removing the cookies fixed the problem. But shouldn't bugzilla be smart
> enough to alter the existing cookies? I don't recall when I last submitted a
> bug for F9, but I have submitted tons of F11 anb rawhide bugs.  

Hmm, not sure why it is not working for you. I looked in post_bug.cgi and it indeed is setting the cookie "VERSION-<product>" to the version value just submitted so it should be set for example to 11 if you just submitted a Fedora 11 bug. Also I tried a test bug using Bugzilla product, submitted first bug with version 3.2 and then went back to enter_bug.cgi to submit another and it auto-selected 3.2. I then chose devel as version, submitted another test bug. Then went back to enter_bug.cgi and it auto-selected devel instead of 3.2. So it seems to be working properly for me. Do you have multiple cookies for VERSION-Fedora possibly? I have seen in other cases that causing issue with conflicting cookie names.

Dave

Note You need to log in before you can comment on or make changes to this bug.